EC_NODE_EXPR_ADD_PARENTHESIS(3)

NAME
ec_node_expr_add_parenthesis - Add parentheses to an expression node.

SYNOPSIS
#include <ecoli/node_expr.h>

int ec_node_expr_add_parenthesis(
    struct ec_node   *gen_node,  /* The expression node. */
    /*
     * The opening parenthesis node. It is consumed and will be freed when the
     * parent is freed, or immediately on error.
     */
    struct ec_node   *open,
    /*
     * The closing parenthesis node. It is consumed and will be freed when the
     * parent is freed, or immediately on error.
     */
    struct ec_node   *close
);

RETURN VALUE

0 on success, -1 on error (errno is set).

SEE ALSO

ec_node_expr_set_val_node(3), ec_node_expr_add_bin_op(3), ec_node_expr(3), ec_node_expr_add_pre_op(3), ec_node_expr_eval(3), ec_node_expr_add_post_op(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.